package org.tbasket.test

import io.netty.handler.codec.http.QueryStringEncoder
import zio.*
import zio.http.{Body, Response}
import zio.json.*
import zio.json.ast.Json

import scala.language.implicitConversions

object TestUtils {
  def getJsonBody(r: Response): Task[Json] = {
    for
      body <- r.body.asString
      json <- ZIO.fromEither(body.fromJson[Json]).orElseSucceed(Json.Obj())
    yield json
  }
  
  implicit def makeFormBody(params: (String, String)*): Body = {
    val qse = new QueryStringEncoder("")
    params.foreach(qse.addParam(_, _))
    Body.fromString(qse.toString)
  }
  
}
